/**
 * @packageDocumentation
 *
 * @example
 * ```
 * import { api } from "@rlx/feim"
 *
 * api.send.balanceUpdate(500)
 *
 * api.on.refreshBalance(() => {
 *  // Refresh it
 * })
 * ```
 */
/**
 * Remove all handlers using this callback
 * @param callbackToRemove - All existing handlers using this callback will be removed
 */
export declare const remove: (callbackToRemove: (callbackToRemove: unknown) => unknown) => void;
export * as send from "./send";
export * as on from "./on";
export * as P2P from "./P2P";
