import { OperatorEvent } from "../interfaces/theos.interface";
export declare type EventHandler<T> = (payload: T) => void;
/**
 * @typeParam T Parameter type received by the callback function
 * @param type Event type/name to listen to
 */
export declare const registerEventHandler: <T = undefined>(type: OperatorEvent) => (callback: EventHandler<T>, once?: boolean | undefined) => void;
export declare const removeEventHandlers: (type: OperatorEvent) => void;
/**
 * Remove an event handler bound to a specific callback
 * @param type
 * @param callbackToRemove
 */
export declare const removeEventHandler: (type: OperatorEvent, callbackToRemove: EventHandler<unknown>) => void;
/**
 * Removes all handlers using a callback.
 * @param callbackToRemove - All existing handlers using this callback will be removed
 */
export declare const removeHandler: (callbackToRemove: EventHandler<unknown>) => void;
export declare const handleInboundMessageEvent: (event: MessageEvent) => void;
/**
 * @internal
 * Directly trigger an event listened by the game
 */
export declare const triggerEventInGame: (event: OperatorEvent, payload?: {} | undefined) => void;
