import { GameEvent, OperatorEvent } from "../interfaces/theos.interface";
import { IPostMessageApi } from "../interfaces/postMessageApi.interface";
export declare class RgPostMessageApiAdapter implements IPostMessageApi {
    name: string;
    constructor();
    checkHandshake(message: unknown): boolean;
    processInbound(data: unknown): {
        feimOpEvent: OperatorEvent;
        payload?: {};
    } | undefined;
    /**
     * Converts game events to Rg Post Message API
     * Returns undefined if the message has no equivalent in Rg API and should not be sent.
     * Some unsent messages can still have side effects, as some data from them can be cached.
     * @param event
     * @param eventPayload
     */
    processOutbound(event: GameEvent, eventPayload: unknown): {
        [index: string]: unknown;
    } | undefined;
}
