import * as THEOS from "../interfaces/theos.interface";
import { IPostMessageApi } from "../interfaces/postMessageApi.interface";
/**
 * Theos API. Handshake and handling any configuration Theos layer sends.
 * FEIM uses Theos API event names and payloads internally so messages pass through unchanged.
 */
export declare class TheosApi implements IPostMessageApi {
    name: string;
    constructor();
    checkHandshake(data: unknown): boolean;
    processInbound(data: {
        readonly [key: string]: unknown;
    }): {
        feimOpEvent: THEOS.OperatorEvent;
        payload?: {};
    } | undefined;
    processOutbound(event: THEOS.GameEvent, payload?: unknown): {
        [index: string]: unknown;
    };
}
