export declare enum LogLevel {
    NONE = 0,
    /**
     * Only log errors
     */
    ERROR = 1,
    /**
     * Errors and warnings
     */
    WARN = 2,
    /**
     * Errors, warnings, and the module init process handler registrations
     */
    INIT = 3,
    /**
     * Log everything, including the sent and received messages
     */
    ALL_MESSAGES = 4,
    /**
     * Also log message payloads
     */
    ALL_MESSAGES_AND_PAYLOADS = 5
}
export declare const setLogLevel: (value?: LogLevel | undefined) => void;
export declare const log: (message: string, level?: LogLevel, data?: object | undefined) => void;
export declare const warn: (message: string, level?: LogLevel) => void;
export declare const error: (message: string) => void;
