/**
 * Get search parameters from a string.
 * Values are not converted, they are always strings.
 * Keys that exist but have no value, such as `&debug&`, have their values set to `"true"`.
 * @param search Source string
 */
export declare const getParameters: (search: string) => {
    [key: string]: string;
};
/**
 * Get a window query parameter value.
 * Returns the string `"true"` if the parameter is present but has no value, e.g. `?view=1&iamtrue&something=else`
 * Returns undefined if the parameter is not present.
 * @param key Name of the key
 */
export declare const getWindowParameter: (key: string) => string | undefined;
/**
 * Returns true if a parameter exists
 * @param key Name of the key
 */
export declare const hasWindowParameter: (key: string) => boolean;
